Page MenuHomePhabricator

Automatic translation card showing unnecessary options initially
Closed, ResolvedPublic

Description

Automatic translation card provides options to "keep as default" and to reset the current translation, but those should be presented only when they make sense:

  • "Keep as default" should not be shown initially when the translation service used is actually the default. This option should appear only when the user selected a different translation service that the one set as the default.
  • "Reset translation" should be provided as an option in the menu when the user modifies the initial translation. This option should not be provided when the translation has not been modified by the user.

Currently both options are provided in CX2 right from the beginning adding unnecessary complexity:

  • If “No automatic translation” is selected, the paragraph is empty, and the user can type
  • If “Source text” is selected, the source text must be pre-filled with adaptation of links, references, templates, math, and other formatting elements, but the same text.
  • If an MT engine was selected, in addition to adaptation of formatting, the text will be translated, too.

Event Timeline

Pginer-WMF removed Pginer-WMF as the assignee of this task.Jun 19 2017, 11:03 AM
Pginer-WMF created this task.
Amire80 moved this task from Needs Triage to CX2 on the ContentTranslation board.Jun 25 2017, 8:06 PM
Amire80 raised the priority of this task from Normal to High.Jul 3 2017, 3:08 PM
Amire80 updated the task description. (Show Details)Aug 7 2017, 8:32 PM
Arrbee moved this task from CX2 to Check & Move on the ContentTranslation board.Jul 8 2019, 1:35 PM

The changes described here have been already applied as part of other changes (T196051, T209606)

Pginer-WMF closed this task as Resolved.Jul 22 2019, 3:07 PM
Pginer-WMF claimed this task.